Votre Nom il y a 2 ans
Parent
commit
3a481c3510
4 fichiers modifiés avec 93 ajouts et 13 suppressions
  1. 0 1
      build_all.sh
  2. 2 3
      build_bfgminer.sh
  3. 63 5
      build_gekko.sh
  4. 28 4
      make_environement.sh

+ 0 - 1
build_all.sh

@@ -1,5 +1,4 @@
 #!/bin/bash
-./build_bfgminer.sh
 ./build_erupter.sh
 ./build_gekko.sh
 ./build_lketc.sh

+ 2 - 3
build_bfgminer.sh

@@ -13,7 +13,7 @@ wget http://wareck.free.fr/cross_compilation/event.tar.gz
 tar xfz uthash-2.3.0.tar.gz
 tar xfz event.tar.gz
 cd uthash-2.3.0
-sudo cp src/* /opt/mxe/usr/i686-w64-mingw32.shared/include/
+sudo cp src/* /opt/mxe/usr/i686-w64-mingw32.static/include/
 cd ~
 }
 
@@ -23,8 +23,7 @@ cd bfgminer
 git submodule init
 git submodule update
 ./autogen.sh
-#CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static libevent_CFLAGS="-I/home/wareck/event/include/" libevent_LIBS="-I/home/wareck/event/lib" --enable-scrypt --without-libevent --prefix=/home/wareck/zob
-CFLAGS="-O2 -msse2 -fcommon" ./configure --host=i686-w64-mingw32.shared --enable-scrypt --without-libevent
+CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static libevent_CFLAGS="-I/home/wareck/event/include/" libevent_LIBS="-I/home/wareck/event/lib" --enable-scrypt --without-libevent --prefix=/home/wareck/zob
 make
 }
 

+ 63 - 5
build_gekko.sh

@@ -1,6 +1,7 @@
 #!/bin/bash
 echo "Cgminer Gekko Win32 builder:"
 echo ""
+echo "Cgminer-gekko:"
 export folder=$(pwd)
 cd ~
 if ! [ -d cgminer-gekko ]
@@ -11,9 +12,10 @@ cd cgminer-gekko
 git pull
 cd ..
 fi
-cd cgminer-gekko
+
+cd /home/wareck/cgminer-gekko
 autoreconf -fi
-CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-static --enable-gekko
+CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-static --enable-gekko --disable-extranonce
 make
 strip cgminer.exe
 upx cgminer.exe
@@ -33,13 +35,68 @@ EOF
 if ! [ -d /home/$USER/Bureau/win32_build/ ]; then mkdir /home/$USER/Bureau/win32_build ;fi
 cp cgminer-gekko-$version.zip /home/$USER/Bureau/win32_build/
 
+
 cd /home/wareck/cgminer-gekko
-CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --enable-static --disable-shared --enable-gekko --enable-bflsc  --enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer
+CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-static --enable-gekko --enable-extranonce
 make
 strip cgminer.exe
 upx cgminer.exe
-if [ -d /tmp/cgminer-gekko ]; then rm /tmp/cgminer-gekko ;fi
-rm -r -f /tmp/cgminer-gekko
+if [ -d /tmp/cgminer-gekko/ ]; then rm -r /tmp/cgminer-gekko/ ;fi
+mkdir /tmp/cgminer-gekko
+cp cgminer.exe /tmp/cgminer-gekko/
+cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko/
+cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko/
+cp $folder/packages/gekko/zadig-2.7.exe /tmp/cgminer-gekko/
+cp $folder/packages/gekko/cgminer.conf /tmp/cgminer-gekko/
+cd /tmp/
+version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
+7z a -tzip cgminer-gekko-xnsub-$version.zip cgminer-gekko
+lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
+put cgminer-gekko-xnsub-$version.zip -o /crypto/cgminer/cgminer-gekko-xnsub-$version.zip
+EOF
+if ! [ -d /home/$USER/Bureau/win32_build/ ]; then mkdir /home/$USER/Bureau/win32_build ;fi
+cp cgminer-gekko-xnsub-$version.zip /home/$USER/Bureau/win32_build/
+
+
+
+echo "Cgminer-all-usb:"
+cd /home/wareck/cgminer-gekko
+CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --enable-static --disable-shared --enable-extranonce --enable-gekko --enable-bflsc  \
+--enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer \
+--enable-extranonce
+make
+strip cgminer.exe
+upx cgminer.exe
+if [ -d /tmp/cgminer-gekko ]; then rm -r -f /tmp/cgminer-gekko ;fi
+if [ -d /tmp/cgminer-gekko-all-usb ]; then rm -r -f /tmp/cgminer-gekko-all-usb ;fi
+mkdir /tmp/cgminer-gekko-all-usb
+cp cgminer.exe /tmp/cgminer-gekko-all-usb
+cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko-all-usb/
+cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko-all-usb/
+cp $folder/packages/gekko/zadig-2.7.exe /tmp/cgminer-gekko-all-usb/
+cp $folder/packages/gekko/cgminer.conf /tmp/cgminer-gekko-all-usb/
+cd /tmp/
+
+version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
+7z a -tzip cgminer-gekko-all-usb-xnsub-$version.zip cgminer-gekko-all-usb
+lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
+put cgminer-gekko-all-usb-xnsub-$version.zip -o /crypto/cgminer/cgminer-gekko-all-usb-xnsub-$version.zip
+EOF
+if ! [ -d /home/$USER/Bureau/win32_build/ ]; then mkdir /home/$USER/Bureau/win32_build ;fi
+cp cgminer-gekko-all-usb-xnsub-$version.zip /home/$USER/Bureau/win32_build/
+cd /tmp
+rm -r -f /tmp/cgminer-gekko-all-usb
+
+echo "Cgminer-all-usb:"
+cd /home/wareck/cgminer-gekko
+CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --enable-static --disable-shared --enable-extranonce --enable-gekko --enable-bflsc  \
+--enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer \
+--disable-extranonce
+make
+strip cgminer.exe
+upx cgminer.exe
+if [ -d /tmp/cgminer-gekko ]; then rm -r -f /tmp/cgminer-gekko ;fi
+if [ -d /tmp/cgminer-gekko-all-usb ]; then rm -r -f /tmp/cgminer-gekko-all-usb ;fi
 mkdir /tmp/cgminer-gekko-all-usb
 cp cgminer.exe /tmp/cgminer-gekko-all-usb
 cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko-all-usb/
@@ -57,3 +114,4 @@ if ! [ -d /home/$USER/Bureau/win32_build/ ]; then mkdir /home/$USER/Bureau/win32
 cp cgminer-gekko-all-usb-$version.zip /home/$USER/Bureau/win32_build/
 cd /tmp
 rm -r -f /tmp/cgminer-gekko-all-usb
+

+ 28 - 4
make_environement.sh

@@ -4,16 +4,40 @@ sudo apt-get update
 sudo apt-get upgrade -y
 sudo apt-get install -y lzip build-essential git autoconf autopoint bison flex gperf libtool libtool-bin python ruby scons unzip intltool p7zip-full libgtk2.0-dev libssl-dev -y
 sudo apt-get install -y lftp zip pv pixz upx
+sudo apt-get install -y samba
+cat <<'EOF'>> smb.conf
+[global]
+   workgroup = WORKGROUP
+   server string = %h server (Samba, Ubuntu)
+   log file = /var/log/samba/log.%m
+   max log size = 2000
+   logging = file
+   panic action = /usr/share/samba/panic-action %d
+   server role = standalone server
+   obey pam restrictions = yes
+   unix password sync = yes
+   passwd program = /usr/bin/passwd %u
+   pam password change = yes
+   map to guest = bad user
+   usershare allow guests = yes
+[Shared]
+        public = yes
+        delete readonly = yes
+        writeable = yes
+        path = /home/wareck/Bureau/win32_build/
+EOF
+sudo cp smb.conf /etc/samba/smb.conf
+sudo rm smb.conf
+sudo /etc/init.d/smbd restart
+sudo chmod 777 /home/wareck/Bureau/win32_build/
+
 cd /opt
-sudo git clone -n https://github.com/mxe/mxe.git
+sudo git clone https://github.com/mxe/mxe.git
 cd mxe
 sudo git reset --hard 64b283d64891348c92154b8d7eace6a9bff23411
 export MXE_DIR=/opt/mxe
 export MXE_TARGETS='i686-w64-mingw32.static'
 sudo make -j 5 -C $MXE_DIR MXE_TARGETS="$MXE_TARGETS" curl pthreads pdcurses ncurses libusb1 jansson libevent libmicrohttpd libzip
-#export MXE_TARGETS='i686-w64-mingw32.shared'
-#sudo make -j 5 -C $MXE_DIR MXE_TARGETS="$MXE_TARGETS" curl pthreads pdcurses ncurses libusb1 jansson libevent libmicrohttpd libzip
-
 if ! grep "export PKG_CONFIG_PATH=/opt/mxe/usr/i686-w64-mingw32.static/lib/pkgconfig/" ~/.profile >/dev/null
 then
 echo 'export PATH=/opt/mxe/usr/bin:$PATH' >> ~/.profile